package org.eclipse.cosmos.me.sdd.tooling.btg.aggregator.comparisons;

import org.eclipse.cosmos.me.sdd.schema.ObjectFactory;
import org.eclipse.cosmos.me.sdd.schema.RequirementsType;

public class RequirementsCompare
{

	protected static RequirementsType merge(RequirementsType requirements,
			RequirementsType requirements2)
	{
		ObjectFactory objectFactory = new ObjectFactory();
		RequirementsType reqs = objectFactory.createRequirementsType();
		reqs.getRequirement().addAll(RequirementCompare.merge(requirements.getRequirement(),requirements2.getRequirement()));
		return reqs;
	}

}
